%define name qtecasound
%define version 0.1.1d1
%define release 2mdk
%define prefix %{_prefix}
%define qtdir %{_libdir}/qt2

Buildroot: %{_tmppath}/%{name}-buildroot
Prefix: %{prefix}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Source: http://ecasound.seul.org/download/%{name}-%{version}.tar.bz2
Patch: %{name}-%version-makedoc.patch.bz2
Requires: ecasound
BuildRequires: libecasound1-devel
Summary: qtecasound - Qt-based ecasound GUI
Group: Sound

%description
Qtecasound is a graphical user-interface for ecasound. It uses the
same engine as the the console mode version. Command line parameters 
and interactive-mode commands work identically.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch -p1

%build
export QTDIR=%{qtdir}
#%{configure} --disable-static $extra_params --with-qt-dir=%{qtdir}
%{configure} --disable-static $extra_params

%make

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
make DESTDIR="$RPM_BUILD_ROOT" delete-static-libs
make DESTDIR="$RPM_BUILD_ROOT" strip-shared-libs

%post
if ! grep %{_libdir} /etc/ld.so.conf > /dev/null ; then
  echo "%{_libdir}" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc NEWS README INSTALL Documentation
%doc %{_mandir}/man1/qtecasound.1*
%{_bindir}/qtecasound
%{_libdir}/libqtecasound.*

%changelog
* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1.1d1-2mdk
- Rebuild against Qt 2.3.0

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1d1-1mdk
- new in contribs
- used srpm from Quel Qun <kelk1@usa.net> :
	- Mandrake adaptation.

* Sun Aug 15 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- Initial release. Qtecasound and libqtecasound now separated from 
  the main ecasound source tree.
